> ## Documentation Index
> Fetch the complete documentation index at: https://developers.zerion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of fungible assets

> This endpoint returns a paginated list of fungible assets supported by Zerion. It also provides the ability to search for fungibles.
If no fungible assets are found for given filters, the empty list with 200 status is returned.

> NOTE: This endpoint supports a lot of filters, sorting, and pagination parameters. Ensure your request URL length is within a safe range for your platform. Usually, 2000 characters are the safe limit in virtually any combination of client and server software.

> NOTE: The `filter[implementation_address]` parameter ignores `filter[search_query]`. It may be changed in the future.

> NOTE: Consider all IDs as abstract strings, without making any assumptions about their format or relying on such assumptions. There is a non-zero probability that IDs may change in the future, and this should not result in any breaking changes.




## OpenAPI

````yaml /openapi-v1.yaml get /v1/fungibles/
openapi: 3.0.3
info:
  version: 1.0.0
  title: REST API
  description: REST-like API provides access to rich Zerion ecosystem.
  contact:
    name: Zerion API
    url: https://developers.zerion.io/
    email: api@zerion.io
servers:
  - description: Production API
    url: https://api.zerion.io
security:
  - APIKeyBasicAuth: []
tags:
  - name: wallets
    description: >-
      Operations related to wallets, such as portfolio charts, positions, and
      transactions.
  - name: wallet sets
    description: >-
      Operations on a wallet set — aggregated portfolio data across at most one
      EVM address and one Solana address queried together.
  - name: fungibles
    description: >-
      Operations related to fungible assets, such as list them all, search or
      get by ID.
  - name: chains
    description: Operations related to chains, such as list all chains.
  - name: swap
    description: Operations related to swapping and bridging assets.
  - name: gas
    description: Operations related to gas.
  - name: nfts
    description: >-
      Operations related to non fungible assets, such list them, search or get
      by ID.
  - name: dapps
    description: >-
      Operations related to decentralized applications, such as list them all,
      search or get by ID.
  - name: subscriptions to transactions
    description: Operations related to subscriptions to transactions.
paths:
  /v1/fungibles/:
    get:
      tags:
        - fungibles
      summary: Get list of fungible assets
      description: >
        This endpoint returns a paginated list of fungible assets supported by
        Zerion. It also provides the ability to search for fungibles.

        If no fungible assets are found for given filters, the empty list with
        200 status is returned.


        > NOTE: This endpoint supports a lot of filters, sorting, and pagination
        parameters. Ensure your request URL length is within a safe range for
        your platform. Usually, 2000 characters are the safe limit in virtually
        any combination of client and server software.


        > NOTE: The `filter[implementation_address]` parameter ignores
        `filter[search_query]`. It may be changed in the future.


        > NOTE: Consider all IDs as abstract strings, without making any
        assumptions about their format or relying on such assumptions. There is
        a non-zero probability that IDs may change in the future, and this
        should not result in any breaking changes.
      operationId: listFungibles
      parameters:
        - $ref: '#/components/parameters/Currency'
        - $ref: '#/components/parameters/Page'
        - name: filter[search_query]
          in: query
          required: false
          description: Query for a full-text search.
          schema:
            type: string
            example: Index
            minLength: 1
            maxLength: 66
        - name: filter[implementation_chain_id]
          in: query
          required: false
          description: >-
            Keep only fungibles from this chain. Available chain ids can be
            found in chains endpoints.
          schema:
            type: string
            example: polygon
        - name: filter[implementation_address]
          in: query
          required: false
          description: >-
            Keep only fungibles deployed at given address. Is it possible that
            different fungibles are deployed at the same address on different
            chains.
          schema:
            type: string
            minLength: 32
            maxLength: 44
            example: '0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6'
        - name: filter[fungible_implementations]
          in: query
          required: false
          style: form
          explode: false
          description: >
            Keep only fungibles with given implementations (comma-separated list
            of chain:address pairs). Maximum of 25 implementations allowed.

            example: "base,ethereum:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"


            This filter is mutually exclusive with
            `filter[implementation_chain_id]` and
            `filter[implementation_address]`.
          schema:
            type: array
            maxItems: 25
            items:
              type: string
        - name: filter[fungible_ids]
          in: query
          required: false
          description: Keep only fungibles with the given ids (comma-separated list)
          style: form
          explode: false
          schema:
            type: array
            maxItems: 25
            items:
              type: string
              maxLength: 44
        - name: sort
          in: query
          required: false
          description: Choose how the result should be ordered
          schema:
            type: string
            enum:
              - '-market_data.market_cap'
              - market_data.market_cap
              - '-market_data.price.last'
              - market_data.price.last
              - '-market_data.price.percent_change_1d'
              - market_data.price.percent_change_1d
              - '-market_data.price.percent_change_30d'
              - market_data.price.percent_change_30d
              - '-market_data.price.percent_change_90d'
              - market_data.price.percent_change_90d
              - '-market_data.price.percent_change_365d'
              - market_data.price.percent_change_365d
              - '-market_data.trading_volumes.volume_1d'
              - market_data.trading_volumes.volume_1d
      responses:
        '200':
          $ref: '#/components/responses/FungiblesListResponse'
        '400':
          $ref: '#/components/responses/MalformedParameters'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    Currency:
      name: currency
      in: query
      required: false
      description: Denominated currency value of returned prices
      schema:
        type: string
        default: usd
        enum:
          - eth
          - btc
          - usd
          - eur
          - krw
          - rub
          - gbp
          - aud
          - cad
          - inr
          - jpy
          - nzd
          - try
          - zar
          - cny
          - chf
    Page:
      name: page
      in: query
      required: false
      description: Pagination parameters
      style: deepObject
      explode: true
      schema:
        type: object
        properties:
          after:
            type: string
            nullable: true
            minLength: 1
            maxLength: 64
            description: >
              This field is used for result pagination. You SHOULD NOT use this
              parameter directly.

              To get the next page of the results you should use `links.next`
              field.

              Omit it to return the first page.
          size:
            type: integer
            format: uint8
            description: Set maximum number of items per a page in the pagination.
            default: 100
            minimum: 1
            maximum: 100
  responses:
    FungiblesListResponse:
      description: Response for requested list of fungibles
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResponseMany-2'
    MalformedParameters:
      description: Parameters are malformed
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Parameter is malformed
                    detail:
                      type: string
                      description: Long description of the error
                      example: Some validation errors will be described here
    UnauthenticatedError:
      description: Unathenticated request
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Unauthorized Error
                    detail:
                      type: string
                      description: Long description of the error
                      example: >-
                        The API key is invalid, please, make sure that you are
                        using a valid key
    TooManyRequests:
      description: Too many requests error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Too many requests
                    detail:
                      type: string
                      description: Long description of the error
                      example: Your request had been throttled
  schemas:
    ResponseMany-2:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/ResponseManyLinks-2'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Container-12'
    ResponseManyLinks-2:
      type: object
      required:
        - self
      properties:
        self:
          type: string
          format: url
          example: https://api.zerion.io/v1/fungibles/
        first:
          type: string
          format: url
          example: https://api.zerion.io/v1/fungibles/
        next:
          type: string
          format: url
          example: https://api.zerion.io/v1/fungibles/
        prev:
          type: string
          format: url
          example: https://api.zerion.io/v1/fungibles/
    Container-12:
      type: object
      description: Object, representing fungible asset.
      required:
        - type
        - id
      properties:
        type:
          type: string
          description: Fungible resource type
          example: fungibles
        id:
          type: string
          description: Fungible unique identifier
          example: '0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6'
        attributes:
          $ref: '#/components/schemas/Attributes-10'
        relationships:
          $ref: '#/components/schemas/Relationships-6'
    Attributes-10:
      type: object
      required:
        - name
        - symbol
        - flags
        - external_links
        - implementations
        - market_data
      properties:
        name:
          type: string
          description: Displayable name of the fungible.
          example: Bankless BED Index
        symbol:
          type: string
          description: Displayable symbol of the fungible.
          example: BED
        description:
          type: string
          nullable: true
          description: Brief description of the fungible.
          example: The BED index is meant to track crypto's top 3 investab.
        icon:
          $ref: '#/components/schemas/Icon'
        flags:
          $ref: '#/components/schemas/Flags'
        external_links:
          $ref: '#/components/schemas/ExternalLinks'
        implementations:
          type: array
          description: Implementation details of the fungible on various chains.
          items:
            $ref: '#/components/schemas/AttributesImplementation'
        market_data:
          $ref: '#/components/schemas/MarketData'
    Relationships-6:
      type: object
      required:
        - chart_hour
        - chart_day
        - chart_week
        - chart_month
        - chart_year
        - chart_max
      properties:
        chart_hour:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/hour
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-hour
        chart_day:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/day
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-day
        chart_week:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/week
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-week
        chart_month:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/month
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-month
        chart_year:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/year
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-year
        chart_max:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/max
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-max
    Icon:
      type: object
      description: Icon related to object.
      properties:
        url:
          type: string
          nullable: true
          format: url
          description: URL of the icon.
          example: >-
            https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png
    Flags:
      type: object
      required:
        - verified
      properties:
        verified:
          type: boolean
          description: Whether this fungible verified or not
          example: true
    ExternalLinks:
      type: array
      description: A list of relevant URLs.
      items:
        $ref: '#/components/schemas/ExternalLink'
    AttributesImplementation:
      type: object
      required:
        - chain_id
        - address
        - decimals
      properties:
        chain_id:
          type: string
          description: Unique id of the chain.
          example: ethereum
        address:
          type: string
          nullable: true
          description: Implementation address on the chain.
          example: '0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6'
        decimals:
          type: integer
          description: Number of decimals points of the implementation.
          example: 18
        market_data:
          $ref: '#/components/schemas/ImplementationMarketData'
        deployment_date:
          type: string
          format: date-time
          description: >-
            Date and time when the token contract was deployed on this chain
            (ISO 8601).
          example: '2020-09-09T11:11:13Z'
    MarketData:
      type: object
      required:
        - price
      properties:
        total_supply:
          type: number
          format: double
          description: Total market supply of fungible
          example: 29905.762448515918
        circulating_supply:
          type: number
          format: double
          description: Circulating value of fungible
          example: 29905.762448515918
        fully_diluted_valuation:
          type: number
          format: double
          description: Total market capitalization of fungible in selected currency
          example: 3196313.736038149
        market_cap:
          type: number
          format: double
          description: Circulating market capitalization of fungible in selected currency
          example: 3196313.736038149
        price:
          type: number
          nullable: true
          format: double
          description: Latest fungible price
          example: 106.87952669793131
        changes:
          $ref: '#/components/schemas/MarketDataChanges'
        trading_volumes:
          $ref: '#/components/schemas/TradingVolumes'
    ExternalLink:
      type: object
      required:
        - url
      properties:
        type:
          type: string
          description: Type of the link
          example: website
        name:
          type: string
          description: Displayable name of the link
          example: Website
        url:
          type: string
          format: url
          description: Link to the external resource
          example: https://www.indexcoop.com
    ImplementationMarketData:
      type: object
      properties:
        trading_volumes:
          $ref: '#/components/schemas/TradingVolumes'
    MarketDataChanges:
      type: object
      properties:
        percent_1d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 1 day
          example: -0.7379066649086338
        percent_30d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 30 days
          example: -2.499465618806962
        percent_90d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 90 days
          example: 11.316340269371775
        percent_365d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 1 year
          example: null
    TradingVolumes:
      type: object
      properties:
        volume_1d:
          type: number
          format: double
          description: Trading volume over the last 24 hours in the selected currency.
          example: 40096375.69294812
  securitySchemes:
    APIKeyBasicAuth:
      type: http
      scheme: basic
      description: >-
        To test endpoints here, paste your API key from the
        [dashboard](https://dashboard.zerion.io/) into the username field and
        leave the password empty.

````